[regression] No window spread animation in gnome-shell 3.28.3+git20190124

Bug #1827284 reported by Alexandre Forte on 2019-05-01
30
This bug affects 6 people
Affects Status Importance Assigned to Milestone
GNOME Shell
Fix Released
Unknown
gnome-shell (Ubuntu)
Low
Unassigned
Bionic
Low
Marco Trevisan (Treviño)
Eoan
Low
Unassigned

Bug Description

[Impact]

No window spread animation in gnome-shell 3.28.3+git20190124.

[Test case]

1. Open two or more windows/apps.
2. Tap the Super (Windows) key.

Expected: Windows slide apart smoothly.
Observed: Windows separate suddenly.

[Regression Potential]

Low. The proposed fix is a commit picked from gnome-shell 3.30.0 and has been used without issue in Gnome 3.30 and 3.32 for many months already.

[Original Description]

On Ubuntu 18.04.2, Xorg, Gnome version 3.28.3+git20190124-0ubuntu18.04.1, there's no animation anymore when you open the activities panel. When you close it, the animation shows up normally. The animation used to work, but it stopped by the end of April 2019. It doesn't seem to be a video driver issue, since it happens both when using Nvidia and Intel graphics. The issue persists after disabling all Gnome extensions.

It's worth mentioning that the animation shows up if you access activities through the top right hot corner, but it doesn't if you press the button or the Windows key.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: gnome-shell 3.28.3+git20190124-0ubuntu18.04.1
ProcVersionSignature: Ubuntu 4.18.0-18.19~18.04.1-generic 4.18.20
Uname: Linux 4.18.0-18-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.9-0ubuntu7.6
Architecture: amd64
CurrentDesktop: GNOME
Date: Wed May 1 18:00:49 2019
DisplayManager: gdm3
InstallationDate: Installed on 2018-12-11 (141 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
ProcEnviron:
 LANGUAGE=pt_BR:pt:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=pt_BR.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-shell
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Alexandre Forte (akf98) wrote :
Alexandre Forte (akf98) on 2019-05-02
description: updated
Daniel van Vugt (vanvugt) wrote :

I noticed this issue upstream in Gnome 3.30 and 3.32 too. But I assumed it was a *feature* and not a bug -- maybe an attempt by the developers to make opening the app drawer faster before the fix for bug 1750197 existed.

I didn't realize this was a regression compared to the original Gnome 3.28 behaviour.

Changed in gnome-shell (Ubuntu):
status: New → Confirmed
importance: Undecided → Low
Daniel van Vugt (vanvugt) wrote :

If this bug does get fixed then the fix would likely go into Ubuntu 19.10 and 18.04, but not the versions in between. Because the versions in between were released with this behaviour, where it is arguably a feature.

Changed in gnome-shell (Ubuntu Bionic):
importance: Undecided → Low
status: New → Confirmed
Changed in gnome-shell (Ubuntu Eoan):
status: Confirmed → Opinion
Sebastien Bacher (seb128) wrote :

Daniel, could you dig the details for bionic there? Did it regress in a SRU? If so what do you recommend we do next?

Changed in gnome-shell (Ubuntu Bionic):
assignee: nobody → Daniel van Vugt (vanvugt)
Daniel van Vugt (vanvugt) wrote :

Strange. I do now have the animation in bionic today (gnome-shell version 3.28.3+git20190124-0ubuntu18.04.2), providing I use the mouse and not Super+A. So the "regression" I was thinking of isn't in bionic with the Ubuntu Dock at least.

I will still bisect to see what/where things might have changed.

Changed in gnome-shell (Ubuntu Bionic):
status: Confirmed → Incomplete
Daniel van Vugt (vanvugt) wrote :

Sorry, yes, I failed to notice the attached video.

The bug I was thinking of is different and I can still reproduce this one.

Changed in gnome-shell (Ubuntu Bionic):
status: Incomplete → Confirmed
Changed in gnome-shell (Ubuntu Eoan):
status: Opinion → Invalid
Daniel van Vugt (vanvugt) wrote :

And the same bug is not in 19.10.

summary: - No animation when GNOME Activities overview is opened
+ [regression] No window spread animation

Finally got there in the end...

9152d3a286defdd7351e2e4acad0323d60bb57f6 is the first bad commit
commit 9152d3a286defdd7351e2e4acad0323d60bb57f6
Author: Carlos Garnacho <email address hidden>
Date: Thu Jun 28 14:41:07 2018 +0000

    st-box-layout: Queue relayout on adjustment changes

    The actor allocation doesn't change per-se, but apply_transform()
    will practically transform it. In order to have the paint volume
    update accordingly, queue a relayout.

    (cherry picked from commit ab4c72d758a23824e8e4a2f35d0b5b479777f294)

:040000 040000 801da5a811c5ce74760e6e838ed4ad116cdd2293 322d02242db7297c16ef1d7a989d3d168a28a3f2 M src

which means the regression is very new. It was not in 3.28.3 but would be in 3.28.4 if that was ever tagged.

Changed in gnome-shell (Ubuntu Bionic):
status: Confirmed → In Progress
tags: added: regression-update
Changed in gnome-shell (Ubuntu Bionic):
status: In Progress → Confirmed
summary: - [regression] No window spread animation
+ [regression] No window spread animation in gnome-shell
+ 3.28.3+git20190124
Changed in gnome-shell (Ubuntu Bionic):
status: Confirmed → In Progress
Changed in gnome-shell:
status: Unknown → New
Daniel van Vugt (vanvugt) wrote :
tags: added: fixed-in-3.28.4 fixed-upstream
description: updated
Changed in gnome-shell (Ubuntu Bionic):
assignee: Daniel van Vugt (vanvugt) → Marco Trevisan (Treviño) (3v1n0)
Changed in gnome-shell:
status: New → Fix Released
Changed in gnome-shell (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in gnome-shell (Ubuntu Bionic):
status: Fix Committed → Fix Released
Lorenzo P. Gamayo (gamayo) wrote :

I'm extremely sorry. While trying to see what the different statuses mean, I accidentally changed the bug status to "fix released" and launchpad doesn't let me undo my mistake. I hope this doesn't cause any trouble.

Changed in gnome-shell (Ubuntu Bionic):
status: Fix Released → Fix Committed

Hello Alexandre, or anyone else affected,

Accepted gnome-shell into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.28.4-0ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-bionic
Alexandre Forte (akf98) wrote :

gnome-shell version 3.28.4-0ubuntu18.04.1 fixed the bug for me.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.28.4-0ubuntu18.04.1

---------------
gnome-shell (3.28.4-0ubuntu18.04.1) bionic; urgency=medium

  * New upstream stable release
    - Fix ellipsization in dialog subtitles/bodies (LP: #1809788)
    - dnd: Only handle touch events in wayland (LP: #1817020)
    - windowManager: listen actively to windows being destroyed during WS switch
      (LP: #1812527)
    - Fix unresponsive-app dialog blocking input in other windows (LP: #1740869)
    - Fix regression on missing spread animation (LP: #1827284)
  * d/p/js-fix-invalid-access-errors.patch,
    d/p/js-ui-Choose-some-actors-to-cache-on-the-GPU.patch:
    - Refreshed
  * d/p/switchMonitor-switch-to-next-config-upon-initial-keypress.patch
    - Ensure switch display mode is cyclic (LP: #1772811)
  * debian/control:
    - Depends on mutter 3.28.4-0ubuntu18.04.1
  * d/p/st-widget-Add-missing-g_return_val_if_fail.patch:
    - st-widget: Protect from NULL obj in get_theme_node (LP: #1796606)

 -- Marco Trevisan (Treviño) <email address hidden> Fri, 10 May 2019 11:43:10 +0100

Changed in gnome-shell (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-shell has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.